package com.neusoft.smart.pos.member.persistent.domain;

import java.math.BigDecimal;

public class MemberWithCard extends Member {
    
    private Integer cardId;
    
    private Integer cardActive;
    
    private String cardNum;
    
    private String cardPassword;
    
    private String cardOtherId;
    
    private Long lastRechargeAmount;
    
    private Integer cardPoint;
    
    private Long cardBalance;

    private String needPassword;
    
    private String cardHidCode;
    
    public Integer getCardId() {
        return cardId;
    }
    
    public void setCardId(Integer cardId) {
        this.cardId = cardId;
    }
    
    public Integer getCardActive() {
        return cardActive;
    }
    
    public void setCardActive(Integer cardActive) {
        this.cardActive = cardActive;
    }
    
    public MemberWithCard() {
    }
    
    public String getCardNum() {
        return cardNum;
    }
    
    public void setCardNum(String cardNum) {
        this.cardNum = cardNum == null ? null : cardNum.trim();
    }
    
    public Integer getCardPoint() {
        return cardPoint;
    }
    
    public void setCardPoint(Integer cardPoint) {
        this.cardPoint = cardPoint;
    }
    
    public Long getCardBalance() {
        return cardBalance;
    }
    
    public void setCardBalance(Long cardBalance) {
        this.cardBalance = cardBalance;
    }
    
    public Long getLastRechargeAmount() {
        return lastRechargeAmount;
    }
    
    public void setLastRechargeAmount(Long lastRechargeAmount) {
        this.lastRechargeAmount = lastRechargeAmount;
    }
    
    public String getCardOtherId() {
        return cardOtherId;
    }
    
    public void setCardOtherId(String cardOtherId) {
        this.cardOtherId = cardOtherId;
    }
    
    public String getCardPassword() {
        return cardPassword;
    }
    
    public void setCardPassword(String cardPassword) {
        this.cardPassword = cardPassword;
    }

    public String getNeedPassword() {
        return needPassword;
    }

    public void setNeedPassword(String needPassword) {
        this.needPassword = needPassword;
    }

    public  boolean  isNeedPwd() {
        return "1".equals(this.needPassword);
    }

    public void setNeedPwd(boolean need){
        this.needPassword = need?"1":"0";
    }

	public String getCardHidCode() {
		return cardHidCode;
	}

	public void setCardHidCode(String cardHidCode) {
		this.cardHidCode = cardHidCode;
	}    
    
}
